@import "libs/shared/assets/src/global-style/variable";
nz-header {
  background: $bg-layout;
  padding: 0;
}

.header {
  display: flex;
  justify-content: space-between;
  padding: 0 25px;
  background: #fff;
  border-bottom-right-radius: 16px;
  overflow: hidden;

  .header__left {
    display: flex;
    align-items: center;

    .input-group {
      width: 400px;
      height: 40px;
      border-radius: 8px;
      align-items: center;

      em {
        font-size: 18px;
        color: $bg-gray-body;
      }
      input {
        @include placeholder{
          color: $bg-gray-placeholder-dark;
          font-size: 16px;
        }
      }
    }

    .trigger__icon {
      font-size: 20px;
      line-height: 64px;
      cursor: pointer;
      transition: color 0.3s;
      color: #14142B;
      &:hover {
        color: $bg-sidebar-primary;
      }
    }
  }

  .header__right {
    display: flex;
    align-items: center;

    .header__right__button {
      border: none;
      margin-left: 45px;
      height: auto;
      padding: 0;

      .notify__number {
        position: absolute;
        width: 21px;
        height: 17px;
        padding-right: 1px;
        color: #fff;
        font-size: 12px;
        border-radius: 4px;
        line-height: 19px;
        top: -15px;
        right: -12px;
      }
    }
    .header__right__button--avt img {
      width: 40px;
      height: 40px;
      object-fit: cover;
      border-radius: 50%;
    }
  }
}

.user__sign--menu {
  padding: 10px 0;
  border-radius: 8px;
}

.user__sign--no-flex {
  display: block;
}

.user__sign--menu li {
  padding-right: 16px;
  padding-left: 16px;
  font-size: 14px;
}
.user__sign--item {
  color: #2E2E2E;
  margin-left: 10px;

  &:hover, &active {
    color: #000056;
  }
}
.user__sign--span {
  font-family: avertaB, sans-serif;
  width: 75px;
  display: inline-block
}

.input-group.input-group--mobile {
  background: $bg-gray-body;
  color: #fff;
  border: 1px solid $bg-gray-body;
  border-radius: 0;
  height: 100%;
  align-items: center;
  em {
    font-size: 20px;
  }
  &:hover {
    border: none;
  }
}

.header__search--mobile {
  position: absolute;
  top: 0;
  z-index: 10000;
  width: 100%;
  height: 64px;
}

input.input__search.input__search--mobile {
  background: $bg-gray-body;
  color: #fff;
  outline: none;
  padding-left: 10px;
}

@media screen and (max-width:480px) {
  .header {
    .header__right {
      .header__right__button {
        margin-left: 30px;
      }
    }
  }
}

::ng-deep .notification-modal.ant-modal{
  background-color: $bg-content-default;
  padding: 0.5rem;
  position: absolute;
  right: 9px;
  top: 52px;
  border-radius: 10px;
  .ant-modal-body {
    padding: 0;
  }
}

::ng-deep .notification-container {
  background: transparent;
}
